View Issue Details

IDProjectCategoryView StatusLast Update
0003189Ham Radio DeluxeEnhancementpublic2019-11-08 02:31
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003189: add support for Icom IC-9700
DescriptionIn January of 2019, Icom released the IC-9700 to the domestic (Japanese) market. It's pending regulatory approval around the globe, and looks like it will be a very popular radio particularly for satellite operators.

Support for this radio should be added to Rig Control, and work should be done to assure compatibility with other parts of the product ... including Satellite Control.

Additional Informationsee http://www.icom.co.jp/world/news/181214/ for Icom's release announcement.
TagsIC-9700, ICOM
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

related to 0003300 resolvedK7ZCZ Ham Radio Deluxe Get IC-9700 working with Satellite Tracker 
related to 0003301 new 3 - Current Dev List Support DX Cluster splits on IC-9700 

Activities

K7ZCZ

2019-04-16 18:37

administrator   ~0007865

Fixed with this checkin into the 6.7 branch:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4953


That change has lots of the basic stuff done and working, so I'll mark this as resolved. Otherwise, it'll be a PITA to manage and track. Here's what's working:


  • Power on/off

  • Connect

  • common buttons

  • common sliders

  • frequency display of main side



    • A few things aren't working quite right or aren't implemented yet. I've opened additional Mantis issues for those. For now, I'm comfortable saying we have support for the radio -- it works well enough to use for most cases.

g3ucq

2019-09-23 05:57

viewer   ~0008601

Unable to test

WA9PIE

2019-09-25 21:54

administrator   ~0008681

I have passed this build off to several users who have this radio and they confirm that it is working properly (and they're quite pleased).

Issue History

Date Modified Username Field Change
2019-02-20 07:58 K7ZCZ New Issue
2019-02-20 07:58 K7ZCZ Tag Attached: ICOM
2019-04-16 18:37 K7ZCZ Note Added: 0007865
2019-04-16 18:37 K7ZCZ Assigned To => K7ZCZ
2019-04-16 18:37 K7ZCZ Status new => resolved
2019-04-16 18:37 K7ZCZ Resolution open => fixed
2019-04-16 18:37 K7ZCZ Tag Attached: IC-9700
2019-04-16 18:38 K7ZCZ Relationship added related to 0003300
2019-04-16 18:38 K7ZCZ Relationship added related to 0003301
2019-06-15 11:36 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2019-07-28 20:33 WA9PIE Project 2 - Next Dev List (Holding Area) => 4 - Business Priorities
2019-07-28 20:33 WA9PIE Category Enhancement => General
2019-08-30 15:26 K7ZCZ Fixed in Version => 6.6.0.239
2019-08-30 16:25 K7ZCZ Fixed in Version 6.6.0.239 =>
2019-08-30 19:37 WA9PIE Project 4 - Business Priorities => 3 - Current Dev List
2019-08-30 19:38 WA9PIE Fixed in Version => 6.7.0.226
2019-08-30 20:04 WA9PIE Category General => Enhancement
2019-09-23 05:57 g3ucq Note Added: 0008601
2019-09-25 21:54 WA9PIE Status resolved => closed
2019-09-25 21:54 WA9PIE Testing Not Started => Beta Successful
2019-09-25 21:54 WA9PIE Note Added: 0008681
2019-11-08 02:16 WA9PIE Fixed in Version 6.7.0.226 => 6.7.0.244
2019-11-08 02:31 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe